import { DefaultTheme, FlattenInterpolation, ThemeProps } from "styled-components";
export declare const CalendarContainer: import("styled-components").StyledComponent<"div", DefaultTheme, import("../../atoms/Blank").IBlankProps, never>;
export declare const CalendarGridContainer: import("styled-components").StyledComponent<"div", DefaultTheme, {}, never>;
export declare const Grid: import("styled-components").StyledComponent<"div", DefaultTheme, {}, never>;
export declare const ControlContainer: import("styled-components").StyledComponent<"div", DefaultTheme, {}, never>;
export declare const ControlTitle: import("styled-components").StyledComponent<"div", DefaultTheme, {}, never>;
export declare const Month: import("styled-components").StyledComponent<"span", DefaultTheme, {}, never>;
export declare const selectedDay: FlattenInterpolation<ThemeProps<DefaultTheme>>;
export declare const rangeSelectedDay: FlattenInterpolation<ThemeProps<DefaultTheme>>;
export declare const prevNextMonthDay: import("styled-components").FlattenSimpleInterpolation;
export declare const selectingRange: FlattenInterpolation<ThemeProps<DefaultTheme>>;
export declare const inRange: FlattenInterpolation<ThemeProps<DefaultTheme>>;
export declare const disabled: FlattenInterpolation<ThemeProps<DefaultTheme>>;
export declare const DayContainer: import("styled-components").StyledComponent<"div", DefaultTheme, {
    amount?: number | undefined;
}, never>;
export declare const MonthDay: import("styled-components").StyledComponent<"div", DefaultTheme, {
    styles?: FlattenInterpolation<ThemeProps<DefaultTheme>> | undefined;
}, never>;
export declare const Today: import("styled-components").StyledComponent<"div", DefaultTheme, {}, never>;
export declare const TimeContainer: import("styled-components").StyledComponent<"div", DefaultTheme, {}, never>;
export declare const HeaderContainer: import("styled-components").StyledComponent<"div", DefaultTheme, {
    height: string;
}, never>;
export declare const RangeHeaderContainer: import("styled-components").StyledComponent<"div", DefaultTheme, {
    height: string;
}, never>;
export declare const HeaderTitle: import("styled-components").StyledComponent<"div", DefaultTheme, {}, never>;
export declare const HeaderSubTitle: import("styled-components").StyledComponent<"div", DefaultTheme, {}, never>;
export declare const WeekdaysContainer: import("styled-components").StyledComponent<"div", DefaultTheme, import("../../atoms/Grid").FlexProps, never>;
export declare const WeekdaysItem: import("styled-components").StyledComponent<"span", DefaultTheme, {
    amount: number;
}, never>;
export declare const PrefixContainer: import("styled-components").StyledComponent<"div", DefaultTheme, {}, never>;
